<?php
// wcf imports
require_once(WCF_DIR.'lib/data/DatabaseObject.class.php');

/**
 * A Notification object contains all the basic data of a notification.
 *
 * @author	Oliver Kliebisch
 * @copyright	2009-2010 Oliver Kliebisch
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.community.wcf.user.notification
 * @subpackage	data.user.notification
 * @category 	Community Framework
 */
class Notification extends DatabaseObject {
        /**
         * Creates a new Notification object.
         *
         * @param       integer         $notificationID
         * @param       mixed    $row
         * @see         DatabaseObject::__construct()
         */
        public function __construct($notificationID, $row = null) {
                if ($notificationID !== null) {
                        $sql = "SELECT  *
                                FROM    wcf".WCF_N."_user_notification
                                WHERE   notificationID = ".$notificationID;
                        $row = WCF::getDB()->getFirstRow($sql);
                }
                parent::__construct($row);
        }

        /**
         * @see DatabaseObject::handleData
         */
        protected function handleData($data) {
                $data['additionalData'] = unserialize($data['additionalData']);

                // parse urls
                $data['shortOutput'] = preg_replace_callback('~(?<=href=")index\.php([^"#]+)~', array($this, 'parseURLsCallback'), $data['shortOutput']);
                $data['mediumOutput'] = preg_replace_callback('~(?<=href=")index\.php([^"#]+)~', array($this, 'parseURLsCallback'), $data['mediumOutput']);
                $data['longOutput'] = preg_replace_callback('~(?<=href=")index\.php([^"#]+)?~', array($this, 'parseURLsCallback'), $data['longOutput']);
                if (isset($data['messageCache'])) $data['messageCache'] = preg_replace_callback('~(?<=href=")index\.php([^"#]+)~', array($this, 'parseURLsCallback'), $data['messageCache']);

                // if event object is set, initialize the notification through the event
                if (isset($data['event'])) {
                        $data['event']->initialize($data);
                }

                parent::handleData($data);
        }

        /**
         * Parses URLs in notification messages and appends SIDs
         *
         * @param       array<string>   $match
         * @return      string
         */
        protected function parseURLsCallback($match) {
		$url = $match[0];

                // append session id
                if (SID_ARG_1ST != '' && !preg_match('/(?:&|\?)s=[a-z0-9]{40}/', $url)) {
			if (StringUtil::indexOf($url, '?') !== false) $url .= SID_ARG_2ND_NOT_ENCODED;
			else $url .= SID_ARG_1ST;
		}

                return $url;
	}
}
?>