<?php
// wcf imports
require_once(WCF_DIR.'lib/data/user/notification/object/AbstractNotificationObjectType.class.php');
require_once(WCF_DIR.'lib/data/user/notification/object/VoidNotificationObject.class.php');

/**
 * A notification object type for general unbound notifications
 *
 * @author	Oliver Kliebisch
 * @copyright	2009-2010 Oliver Kliebisch
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.community.wcf.user.notification
 * @subpackage	data.user.notification.object
 * @category 	Community Framework
 */
class VoidNotificationObjectType extends AbstractNotificationObjectType {
        /**
         * @see NotificationObjectType::getObjectByID()
         */
        public function getObjectByID($objectID) {
               return new VoidNotificationObject();
        }

        /**
         * @see NotificationObjectType::getObjectByObject()
         */
        public function getObjectByObject($object) {
                return new VoidNotificationObject();
        }

        /**
         * @see NotificationObjectType::getObjectsByIDArray()
         */
        public function getObjectsByIDArray($objectIDArray) {
                return array(0 => new VoidNotificationObject());
        }

        /**
         * @see NotificationObjectType::getPackageID()
         */
        public function getPackageID() {                
                // void notifications are bound directly to the notification package
                return WCF::getPackageID('com.woltlab.community.wcf.user.notification');
        }

        /**
         * @see NotificationType::getObjects()
         */
        public function getObjects($data) {
                return array(0 => new VoidNotificationObject());
        }
}
?>
