<?php
// wcf imports
require_once(WCF_DIR.'lib/data/user/notification/type/NotificationType.class.php');

/**
 * A notification type for displaying notifications using the user messages variable
 *
 * @author	Oliver Kliebisch
 * @copyright	2009-2010 Oliver Kliebisch
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.community.wcf.user.notification
 * @subpackage	data.user.notification.type
 * @category 	Community Framework
 */
class UserMessagesNotificationType implements NotificationType {       
        /**
         * @see NotificationType::send()
         */
        public function send(User $user, NotificationEvent $event, NotificationEditor $notification) {
                // get message and save it
                $message = $event->getMessage($this);
                $notification->addMessage('userMessages', 0, $message);
        }

        /**
         * @see NotificationType::revoke()
         */
        public function revoke(User $user, NotificationEvent $event, NotificationEditor $notification) {
                // not necessary/unsupported
                return;
        }

        /**
         * @see NotificationType::getName()
         */
        public function getName() {
                return 'userMessages';
        }

        /**
         * @see NotificationType::getIcon()
         */
        public function getIcon() {
                return 'info';
        }
}

?>
